package com.zbf.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl; //添加
import com.zbf.system.mapper.TErrorLogMapper;
import com.zbf.system.domain.TErrorLog;
import com.zbf.system.service.ITErrorLogService;

/**
 * agv报警信息Service业务层处理
 *
 * @author tony
 * @date 2024-06-17
 */
@Service
public class TErrorLogServiceImpl extends ServiceImpl<TErrorLogMapper, TErrorLog> implements ITErrorLogService //修改
{
    @Autowired
    private TErrorLogMapper tErrorLogMapper;

    /**
     * 查询agv报警信息
     *
     * @param id agv报警信息主键
     * @return agv报警信息
     */
    @Override
    public TErrorLog selectTErrorLogById(Long id)
    {
        return tErrorLogMapper.selectTErrorLogById(id);
    }

    /**
     * 查询agv报警信息列表
     *
     * @param tErrorLog agv报警信息
     * @return agv报警信息
     */
    @Override
    public List<TErrorLog> selectTErrorLogList(TErrorLog tErrorLog)
    {
        return tErrorLogMapper.selectTErrorLogList(tErrorLog);
    }

    /**
     * 新增agv报警信息
     *
     * @param tErrorLog agv报警信息
     * @return 结果
     */
    @Override
    public int insertTErrorLog(TErrorLog tErrorLog)
    {
        return tErrorLogMapper.insertTErrorLog(tErrorLog);
    }

    /**
     * 修改agv报警信息
     *
     * @param tErrorLog agv报警信息
     * @return 结果
     */
    @Override
    public int updateTErrorLog(TErrorLog tErrorLog)
    {
        return tErrorLogMapper.updateTErrorLog(tErrorLog);
    }

    /**
     * 批量删除agv报警信息
     *
     * @param ids 需要删除的agv报警信息主键
     * @return 结果
     */
    @Override
    public int deleteTErrorLogByIds(Long[] ids)
    {
        return tErrorLogMapper.deleteTErrorLogByIds(ids);
    }

    /**
     * 删除agv报警信息信息
     *
     * @param id agv报警信息主键
     * @return 结果
     */
    @Override
    public int deleteTErrorLogById(Long id)
    {
        return tErrorLogMapper.deleteTErrorLogById(id);
    }


    /**
     * 批量禁用
     *
     * @param id agv报警信息主键
     * @return 结果
     */
    @Override
    public int disabledTErrorLogByIds(Long[] ids) {
        return tErrorLogMapper.disabledTErrorLogByIds(ids);
    }

    /**
     * 批量启用
     *
     * @param id agv报警信息主键
     * @return 结果
     */
    @Override
    public int enableTErrorLogByIds(Long[] ids) {
        return tErrorLogMapper.enableTErrorLogByIds(ids);
    }

    /**
     * 修改状态
     *
     * @param tErrorLog 工序管理主键
     * @return 结果
     */
    @Override
    public int updateStatus(TErrorLog tErrorLog) {
        return tErrorLogMapper.updateTErrorLog(tErrorLog);
    }

}
